EulerAction Class Reference

Implements the command line interface action euler. More...

`#include <EulerAction.h>`

Inheritance diagram for EulerAction:

## Public Member Functions

| EulerAction ()
virtual void | obtainParameters (vector< Parameter * > &parameters)
virtual void | perform ()
Public Member Functions inherited from Action
| Action (const char *name, const char *shortDescription, const char *description, bool acceptsNonParameter)
virtual | ~Action ()
const char * | getName () const
const char * | getShortDescription () const
const char * | getDescription () const
bool | acceptsNonParameter () const
virtual void | processNonParameter (const char *str)
virtual void | parseCommandLine (unsigned int tokenCount, const char **tokens)
virtual bool | displayAction () const
| Returns whether this action should be shown to the user by the help action.
const Parameter & | getParam (const string &name) const

## Static Public Member Functions

static const char * | staticGetName ()
Static Public Member Functions inherited from Action
static void | getActionNames (vector< string > &names)
static unique_ptr< Action > | createActionWithPrefix (const string &prefix)

## Private Attributes

StringParameter | _pivot
StringParameter | _stdPivot
StringParameter | _genPivot
StringParameter | _autoTranspose
BoolParameter | _printDebug
BoolParameter | _printStatistics
BoolParameter | _useUniqueDivSimplify
BoolParameter | _useManyDivSimplify
BoolParameter | _useAllPairsSimplify
BoolParameter | _swap01
IOParameters | _io

## Additional Inherited Members

Protected Attributes inherited from Action
CliParams | _params
const char * | _name
const char * | _shortDescription
const char * | _description
bool | _acceptsNonParameter
BoolParameter | _printActions

## Detailed Description

Implements the command line interface action euler.

Definition at line 26 of file EulerAction.h.

## Constructor & Destructor Documentation

## EulerAction()

EulerAction::EulerAction | ( |  | ) |

Definition at line 37 of file EulerAction.cpp.

## Member Function Documentation

## obtainParameters()

void EulerAction::obtainParameters | ( | vector< Parameter * > & | parameters | ) |

virtual

Reimplemented from Action.

Definition at line 163 of file EulerAction.cpp.

## perform()

void EulerAction::perform | ( |  | ) |

virtual

Implements Action.

Definition at line 178 of file EulerAction.cpp.

## staticGetName()

const char * EulerAction::staticGetName | ( |  | ) |

static

Definition at line 243 of file EulerAction.cpp.

## Member Data Documentation

## _autoTranspose

StringParameter EulerAction::_autoTranspose

private

Definition at line 40 of file EulerAction.h.

## _genPivot

StringParameter EulerAction::_genPivot

private

Definition at line 39 of file EulerAction.h.

## _io

IOParameters EulerAction::_io

private

Definition at line 47 of file EulerAction.h.

## _pivot

StringParameter EulerAction::_pivot

private

Definition at line 37 of file EulerAction.h.

## _printDebug

BoolParameter EulerAction::_printDebug

private

Definition at line 41 of file EulerAction.h.

## _printStatistics

BoolParameter EulerAction::_printStatistics

private

Definition at line 42 of file EulerAction.h.

## _stdPivot

StringParameter EulerAction::_stdPivot

private

Definition at line 38 of file EulerAction.h.

## _swap01

BoolParameter EulerAction::_swap01

private

Definition at line 46 of file EulerAction.h.

## _useAllPairsSimplify

BoolParameter EulerAction::_useAllPairsSimplify

private

Definition at line 45 of file EulerAction.h.

## _useManyDivSimplify

BoolParameter EulerAction::_useManyDivSimplify

private

Definition at line 44 of file EulerAction.h.

## _useUniqueDivSimplify

BoolParameter EulerAction::_useUniqueDivSimplify

private

Definition at line 43 of file EulerAction.h.

The documentation for this class was generated from the following files:

- src/EulerAction.h
- src/EulerAction.cpp